| Tilt Five NDK |

Data Fields
T5_WandStreamEvent Struct Reference
Tilt Five™ Common Types

Represents an event from the wand stream. More...

`#include <types.h>`

Collaboration diagram for T5_WandStreamEvent:
[legend]

## Data Fields
T5_WandHandle | wandId
| Opaque identifier for the wand. More...
T5_WandStreamEventType | type
| Type of event. More...
uint64_t | timestampNanos
| The timestamp of the wand event in nanoseconds. More...
T5_WandReport | report
| Report (Valid if type = kT5_WandStreamEventType_Report) More...

## Detailed Description

Represents an event from the wand stream.

Definition at line 404 of file types.h.

## Field Documentation

## ◆ report

T5_WandReport T5_WandStreamEvent::report

Report (Valid if type = kT5_WandStreamEventType_Report)

Definition at line 415 of file types.h.

## ◆ timestampNanos

uint64_t T5_WandStreamEvent::timestampNanos

The timestamp of the wand event in nanoseconds.

Definition at line 412 of file types.h.

## ◆ type

T5_WandStreamEventType T5_WandStreamEvent::type

Type of event.

Definition at line 409 of file types.h.

## ◆ wandId

T5_WandHandle T5_WandStreamEvent::wandId

Opaque identifier for the wand.

Definition at line 406 of file types.h.

The documentation for this struct was generated from the following file:

- types.h